Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
    zgpio
    @zgpio
    if &compatible
      set nocompatible
    endif
    
    set runtimepath+=~/test_vim/dein.vim/
    let s:toml = '~/test_vim/lazy.toml'
    let g:dein#auto_recache = 1
    
    if dein#load_state('~/test_vim/.cache/dein', s:toml)
      call dein#begin('~/test_vim/.cache/dein')
      call dein#load_toml(s:toml, {'lazy': 1})
      call dein#end()
      call dein#save_state()
    endif
    filetype plugin indent on
    syntax enable
    Please ref to #343.
    Shougo
    @Shougo
    Please create the new issue for it.
    zgpio
    @zgpio
    alright
    Shougo
    @Shougo
    This place is not for issues re
    report.
    zgpio
    @zgpio
    sorry for that
    Shougo
    @Shougo
    Please use the latest version.
    I have updated
    zgpio
    @zgpio
    Thanks again for your plugin. I will check it later.
    zgpio
    @zgpio
    It works.
    Shougo
    @Shougo
    OK
    Shougo
    @Shougo
    @taigacute Finally, I have reproduced your error!
    The new logging is good to debug.
    I will fix the problem later.
    Please wait.
    Stephen
    @taigacute
    @Shougo thanks very much
    old log only have installing informaition and update error etc. new logging work better!
    Lukas Wilkeer
    @lukaswilkeer

    Hi folks. I have a problem with :call dein#install() that's return E117 error.
    Checked the version, checked runtimepath and etc.

    Current vim version: 8.1, Fedora 28.

    Shougo
    @Shougo
    dein#install() is correct.
    Lukas Wilkeer
    @lukaswilkeer
    Typo mistake on comment before.
    Shougo
    @Shougo
    Please upload the correct error messages
    E117 is very fuzzy
    Lukas Wilkeer
    @lukaswilkeer
    vim2.png
    Shougo
    @Shougo
    OK. dein.vim is not installed in the directory.
    You need to install dein.vim manually in first.
    Lukas Wilkeer
    @lukaswilkeer
    dein.vim is installed in directory.
    Shougo
    @Shougo
    Really???
    It should work
    Please dein.vim is correctly loaded.
    Not just runtimepath check.
    Lukas Wilkeer
    @lukaswilkeer
    Have any considerations about trace methods or similar? I wan't check if dein is loaded. It should be.
    Shougo
    @Shougo
    :scriptnames
    Lukas Wilkeer
    @lukaswilkeer
    The problem is the location of my .vimrc file. Thanks.
    Shougo
    @Shougo
    Oh. OK
    beer!code!
    @404cn
    I add this to my vim config.
    call dein#add('chriskempson/base16-vim')
    and i run :call dein#install()
    and i always get
    [dein] Target plugins are not found.
    [dein] You may have used the wrong plugin name, or all of the plugins are already inst
    alled.
    Press ENTER or type command to continue
    Am i do something wrong?
    And I am pretty sure the plugin didn't not installed.
    Shougo
    @Shougo
    I think your configuration is wrong.
    Please upload your configuration.
    beer!code!
    @404cn
    But other plugins works fine.
    Shougo
    @Shougo
    I need to reproduce your problem.
    I don't work for non reproducible problems
    Tobias Witt
    @ohcibi
    I have trouble updating my plugins manually. For e.g. Shougo/deoplete.vim I tried call dein#update(['deoplete.vim']) and it says Target plugins not found. Using just the repository name without the github username works for other repositories, so i tried to recache the runtime path without any luck. My dein setup looks like this https://gist.github.com/daec1907818348fa800e9fb5f710a46f . inbundlerc.vim is just a list of calls to dein#add
    Shougo
    @Shougo
    You need to use deoplete.nvim instead.
    Tobias Witt
    @ohcibi
    ye i just found that out... got confused by yet another plugin.. too early in the morning.. sorry :laughing: